ur_rna.Utilities

## Class SimpleDataSerializer.Token

- java.lang.Object
- - ur_rna.Utilities.SimpleDataSerializer.Token

- Enclosing class:
    SimpleDataSerializer

      static class SimpleDataSerializer.Token
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.regex.Matcher` | `m`
    `private SimpleDataSerializer.TokenPattern` | `p`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token(java.util.regex.Matcher m, SimpleDataSerializer.TokenPattern p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `end()`
    `java.lang.String` | `group(int index)`
    `java.lang.String` | `group(java.lang.String name)`
    `int` | `length()`
    `java.util.regex.MatchResult` | `result()`
    `int` | `start()`
    `java.lang.String` | `text()`
    `java.lang.String` | `toString()`
    `SimpleDataSerializer.TokenPattern` | `type()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### m

          private final java.util.regex.Matcher m

    - #### p

          private final SimpleDataSerializer.TokenPattern p

  - ### Constructor Detail

    - #### Token

          public Token(java.util.regex.Matcher m,
                       SimpleDataSerializer.TokenPattern p)

  - ### Method Detail

    - #### end

          public int end()

    - #### group

          public java.lang.String group(int index)

    - #### group

          public java.lang.String group(java.lang.String name)

    - #### length

          public int length()

    - #### result

          public java.util.regex.MatchResult result()

    - #### start

          public int start()

    - #### text

          public java.lang.String text()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### type

          public SimpleDataSerializer.TokenPattern type()